Get GitHub App installation URL
GET
/github/app/install-url
const url = 'https://example.com/api/github/app/install-url';const options = {method: 'GET', headers: {cookie: 'sb-access-token=<sb-access-token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/github/app/install-url \ --cookie sb-access-token=<sb-access-token>Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Install URL
Media type application/json
object
installUrl
required
string format: uri
Not authenticated
Media type application/json
object
error
required
Human-readable error message
string
code
Stable machine-readable error code for client branching
string
fieldErrors
First validation message per field path
object
key
additional properties
string
issues
Structured validation issues (Zod)
Array<object>
object
path
required
string
message
required
string
retryAfter
Seconds until rate limit resets (429 responses)
number
reconnect
True if re-linking GitHub may fix the issue
boolean
Server error
Media type application/json
object
error
required
Human-readable error message
string
code
Stable machine-readable error code for client branching
string
fieldErrors
First validation message per field path
object
key
additional properties
string
issues
Structured validation issues (Zod)
Array<object>
object
path
required
string
message
required
string
retryAfter
Seconds until rate limit resets (429 responses)
number